Subject: Re: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF and SSH/TLS switches?

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Sun, 4 Jan 2015 19:01:39 +0000

Hi Kent, All,

as I stated on Github I am against splitting the draft into two.
I believe we can improve the readability, e.g. by writing Restconf-related statements in separate sentences or collecting Restconf text in a subsection.

That said I do not see consensus on the maillist for splitting the call-home draft.

Regards, 
Mehmet 

> -----Original Message-----
> From: Netconf [mailto:[email-masked]] On Behalf Of ext Kent Watsen
> Sent: Thursday, December 18, 2014 10:36 PM
> To: Andy Bierman; Reinaldo Penno (repenno)
> Cc: Netconf
> Subject: Re: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF and
> SSH/TLS switches?
> 
> 
> So it seems that everyone that has commented on this issue so far agrees
> that the current draft is too busy, but have different ideas for how to
> proceed.  Is this a correct assessment?  Has anyone else that read the -02
> draft provide their thoughts for how to better structure the content?
> 
> PS: given the comments received so far, the proposal to use the current
> draft will not be automatically accepted tomorrow.  But for those who
> haven't commented yet, please provide your comments quickly so we can move
> forward with an update as soon as possible.
> 
> Thanks,
> Kent
> 
> 
> On 12/15/14, 5:21 PM, "Andy Bierman" <[email-masked]> wrote:
> 
> >On Mon, Dec 15, 2014 at 1:46 PM, Reinaldo Penno (repenno)
> ><[email-masked]> wrote:
> >> Hi Andy,
> >>
> >> I personally think parsing paragraphs like this one is a bit tricky but
> >>if
> >> that is what the WG prefers, fine by me.
> >>
> >> "   o  Using this TCP session, the NETCONF/RESTCONF server immediately
> >>       starts either the SSH-server or the TLS-server protocol, depending
> >>       on which port is connected.  The server MUST start the SSH-server
> >>       protocol when port PORT-X is connected or the TLS-server protocol
> >>       when either port PORT-Y or PORT-Z is connected.  The SSH-server
> >>       and TLS-server protocols are described by [RFC4253
> >> <https://tools.ietf.org/html/rfc4253>] and [RFC5246
> >> <https://tools.ietf.org/html/rfc5246>]
> >>       respectively.²
> >>
> >>
> >
> >This could be split into 2 separate paragraphs.
> >
> >
> >> Thanks,
> >
> >Andy
> >
> >>
> >> On 12/15/14, 1:37 PM, "Andy Bierman" <[email-masked]> wrote:
> >>
> >>>On Mon, Dec 15, 2014 at 1:28 PM, Reinaldo Penno (repenno)
> >>><[email-masked]> wrote:
> >>>> I think so. I understand the point the chair(?) made today on the call
> >>>>that
> >>>> more drafts require mode energy but the draft today is very difficult
> >>>>to
> >>>> read.  Moreover, if as we start introducing words like MUST/SHOULD and
> >>>> Netconf/RESTconf have different levels of support then it would be
> >>>> impossible to follow.
> >>>
> >>>Why can't the text be expanded into 2 sentences where needed,
> >>>instead of 2 drafts?  Just use one RFC 2119 keyword per sentence.
> >>>
> >>>
> >>>Andy
> >>>
> >>>
> >>>
> >>>>
> >>>> Since we are talking about call home draft, I think it is okay for the
> >>>> client to identity the server using IP:port instead of just IP. One of
> >>>>the
> >>>> ³strategies² is for the server to use STUN/TURN, grab a IP:port and
> >>>>convey
> >>>> that info to the client.
> >>>>
> >>>>
> >>>> Thanks,
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>
> >>>> From: Kent Watsen <[email-masked]>
> >>>> Date: Monday, December 15, 2014 at 11:52 AM
> >>>> To: NetConf <[email-masked]>
> >>>> Subject: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF
> >>>>and
> >>>> SSH/TLS switches?
> >>>>
> >>>>
> >>>> This issue was discussed in today's virtual interim meeting:
> >>>>
> >>>> https://github.com/netconf-wg/call-home/issues/6
> >>>>
> >>>> Essentially, after adding RESTCONF to the call-home draft, it seems
> >>>>that
> >>>> draft might be somewhat difficult to read, with all the
> >>>>NETCONF/RESTCONF and
> >>>> SSH/TLS switches in it.  Does anyone else think so?
> >>>>
> >>>> Unless there are any objections by 12/19/14, plan is to keep RESTCONF
> >>>>in
> >>>> this draft as is.
> >>>>
> >>>> Thanks,
> >>>> Kent
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> Netconf mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/netconf
> >>>>
> >>
> 
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: Kent Watsen <[email-masked]>
Date: Mon, 5 Jan 2015 15:23:57 +0000

On 1/4/15, 2:01 PM, "Ersue, Mehmet (NSN - DE/Munich)"
<[email-masked]> wrote:

>I believe we can improve the readability, e.g. by writing
>Restconf-related statements in separate sentences or collecting Restconf
>text in a subsection.
>

Agreed, no consensus to split the draft.  But there does seem to be
consensus that the current draft is hard to read.  Making it easier to
read is the only significant open issue currently...

Thanks,
Kent